# __atomic0::atomic_address Struct Reference

29.4.2, address types More...

List of all members.

## Public Member Functions

- atomic_address (void *__v)
- atomic_address (const atomic_address &)
- bool compare_exchange_strong (void *&__v1, void *__v2, memory_order __m1, memory_order __m2)
- bool compare_exchange_strong (void *&__v1, void *__v2, memory_order __m=memory_order_seq_cst)
- bool compare_exchange_weak (void *&__v1, void *__v2, memory_order __m1, memory_order __m2)
- bool compare_exchange_weak (void *&__v1, void *__v2, memory_order __m=memory_order_seq_cst)
- void * exchange (void *__v, memory_order __m=memory_order_seq_cst)
- void * fetch_add (ptrdiff_t __d, memory_order __m=memory_order_seq_cst)
- void * fetch_sub (ptrdiff_t __d, memory_order __m=memory_order_seq_cst)
- bool is_lock_free () const
- void * load (memory_order __m=memory_order_seq_cst) const
- operator void * () const
- void * operator+= (ptrdiff_t __d)
- void * operator-= (ptrdiff_t __d)
- atomic_address & operator= (const atomic_address &) volatile
- void * operator= (void *__v)
- void store (void *__v, memory_order __m=memory_order_seq_cst)

## Detailed Description

29.4.2, address types

Definition at line 103 of file atomic_0.h.

The documentation for this struct was generated from the following file:

- atomic_0.h